stages:
  - tests
  - build
  - deploy

run_unit_tests:
  stage: tests
  before_script:
    - echo "Preparing test data.."
  script:
    - echo "Running Unit Tests.."
  after_script:
    - echo "Cleaning up temporary files.."

run_lint_tests:
  stage: tests
  before_script:
    - echo "Preparing test data.."
  script:
    - echo "Running Lint Tests.."
  after_script:
    - echo "Cleaning up temporary files.."

build_image:
  stage: build
  script:
    - echo "Building the docker image.."
    - echo "Tagging the docker image.."

push_image:
  stage: build
  script:
    - echo "Logging into the docker registry.."
    - echo "Pushing the docker image to registry.."

deploy_image:
  stage: deploy
  script:
    - echo "Deploy new docker image to dev server..""